﻿using System.Windows;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            InitializeDataSource();
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 데이터 소스 초기화 하기 - InitializeDataSource()

        /// <summary>
        /// 데이터 소스 초기화 하기
        /// </summary>
        private void InitializeDataSource()
        {
            ProductCollection productCollection = new ProductCollection();

            this.listBoxEdit.ItemsSource        = productCollection;
            this.checkedListBoxEdit.ItemsSource = productCollection;
            this.radioListBoxEdit.ItemsSource   = productCollection;
        }
        
        #endregion    
    }
}